Page MenuHomePhabricator

Editing an article using the source editor, typed text appears above the cursor
Closed, ResolvedPublic

Description

Reported on IRC, a user (Markworthen) has been intermittently experiencing the issue shown in the below annotated screenshot.

They are using Opera (53.0.2907.68) on Windows 10 64-bit. The issue is also present for them on Chrome (66.0.3359.181).

They have tried "refreshing the page; closing the browser and reopening it; and rebooting my desktop PC"

Perhaps T188839 is related?

Event Timeline

Samtar created this task.May 26 2018, 4:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 26 2018, 4:04 PM

Which exact editor is used (as the screenshot is cropped)?

English Wikipedia, "Edit source" (aka "Source editing"), Version 4ca3f16 2018-05-15T13:28:57Z .

I am still experiencing this problem. I tried Firefox (version 60.0.2, 64-bit), but the problem occurs with that browser as well.

Any ideas?

Many thanks,

Mark

Markworthen closed this task as Resolved.Jun 22 2018, 8:07 PM
Markworthen claimed this task.

Samtar noted:

Perhaps T188839 is related?

So I clicked the T188839 link and read through some of the posts (if that is the correct term) on that page. And I think I found the problem!

When I turn off (deselect) MediaWiki-extensions-CodeMirror the problem disappears! I am now a very happy camper.

Markworthen triaged this task as Normal priority.Jun 22 2018, 8:13 PM
Restricted Application added a project: Community-Tech. · View Herald TranscriptJun 22 2018, 8:13 PM
Vvjjkkii renamed this task from Editing an article using the source editor, typed text appears above the cursor to 57baaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Markworthen as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 57baaaaaaa to Editing an article using the source editor, typed text appears above the cursor.Jul 2 2018, 3:42 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Markworthen.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
happy5214 moved this task from Backlog to Closed on the WikiEditor board.Aug 4 2019, 11:34 AM